﻿<UserControl x:Class="TourPlanner.Views.GalleryView"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             xmlns:local="clr-namespace:TourPlanner.Views"
             xmlns:viewModels="clr-namespace:TourPlanner.ViewModels"
             xmlns:mah="http://metro.mahapps.com/winfx/xaml/controls"
             mc:Ignorable="d" 
             d:DesignHeight="450" d:DesignWidth="800">
    <UserControl.DataContext>
        <viewModels:GalleryViewModel></viewModels:GalleryViewModel>
    </UserControl.DataContext>
    <Grid>
        <mah:FlipView Grid.Row="0" ItemsSource="{Binding ImageList}" 
                      SelectedItem="{Binding SelectedImage, Mode=TwoWay}"
                      BannerText="{Binding BannerText}"
        >
            <mah:FlipView.ItemTemplate>
                <DataTemplate>
                    <Image Source="{Binding ImagePath}"></Image>
                </DataTemplate>
            </mah:FlipView.ItemTemplate>
        </mah:FlipView>
    </Grid>
</UserControl>
